<template>
  <div class="numbers-game">

    <h1>Number game</h1>

    <div v-if="error" class="numbers-game__form-group">
      <p>{{error}}</p>
    </div>

    <div class="numbers-game__form-group">
      <label>Name</label>
      <input type="text" name="name" v-model="input.user">
    </div>

    <div class="numbers-game__form-group">
      <label>Numbers</label>
      <input type="number" name="number1" min="0" max="999" v-model="input.number1">
      <input type="number" name="number2" min="0" max="999" v-model="input.number2">
      <input type="number" name="number3" min="0" max="999" v-model="input.number3">
      <input type="number" name="number4" min="0" max="999" v-model="input.number4">
    </div>

    <div class="numbers-game__form-group">
      <button type="submit" @click="requestGuess">Guess the number</button>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Guess',
  components: {},
  data() {
    return {
      error: null,
      input: {
        user: null,
        number1 : null,
        number2 : null,
        number3 : null,
        number4 : null,
      }
    }
  },
  methods: {
    async requestGuess() {
      this.error = null;
      this.$store.dispatch('getNextGuess', this.input)
      .then(() => this.$router.push({name: 'present'}))
      .catch(exception => this.error = exception.error);
    },
  },
}
</script>

<style lang="scss">
@import "styles/numbers-game";
</style>
